/*
 * All the debug functions must regroup here
 *
 */


#include "common.h"

void PB_InitTime_DEBUG()
{
	/* stuff */
}

void PB_EndTime_DEBUG()
{
	/* stuff */
}

void PB_GetTimeSys_DEBUG( long resolution )
{
	if ( resolution <= PB_TIME_NONE || resolution >= PB_TIME_END )
		 PB_DEBUGGER_SendError( "Invalid time resolution" );
}

void PB_GetTimeProcess_DEBUG( long resolution )
{
	if ( resolution <= PB_TIME_NONE || resolution >= PB_TIME_END )
		PB_DEBUGGER_SendError( "Invalid time resolution" );
}

void PB_GetTimeDelta_DEBUG( long resolution )
{
	if ( resolution <= PB_TIME_NONE || resolution >= PB_TIME_END )
		 PB_DEBUGGER_SendError("Invalid time resolution");
}

void PB_FreeTimer_DEBUG( integer TimerID )
{
	if ( PB_Timer_GetObject( TimerID ) == 0 )
		PB_DEBUGGER_SendError( "Invalid timer id" );
}

void PB_CreateTimer_DEBUG( integer TimerID )
{
	/* stuff */
}

void PB_TimerGetStatus_DEBUG( integer TimerID )
{
	if ( PB_Timer_GetObject( TimerID ) == 0 )
		PB_DEBUGGER_SendError( "Invalid timer id" );
}

void PB_TimerGetInterval_DEBUG( integer TimerID )
{
	if ( PB_Timer_GetObject( TimerID ) == 0 )
		PB_DEBUGGER_SendError( "Invalid timer id" );
}

void PB_TimerGetResolution_DEBUG( integer TimerID )
{
	if ( PB_Timer_GetObject( TimerID ) == 0 )
		PB_DEBUGGER_SendError( "Invalid timer id" );
}

void PB_TimerSetInterval_DEBUG( integer TimerID, integer time, long resolution )
{
	if ( PB_Timer_GetObject( TimerID ) == 0 )
		PB_DEBUGGER_SendError( "Invalid timer id" );

	if ( resolution <= PB_TIME_NONE || resolution >= PB_TIME_END )
		 PB_DEBUGGER_SendError( "Invalid time resolution" );
}

void PB_TimerSetCallback_DEBUG( integer TimerID, integer Callback )
{
	if ( PB_Timer_GetObject( TimerID ) == 0 )
		PB_DEBUGGER_SendError( "Invalid timer id" );
}

void PB_ExamineTimers_DEBUG()
{
	/* stuff */
}

void PB_IsTimer_DEBUG( integer TimerID )
{
	/* stuff */
}